| Version: 3.1.5

Functions
atomic.h File Reference

## Functions
void | wxAtomicInc (wxAtomicInt &value)
| This function increments value in an atomic manner. More...
wxInt32 | wxAtomicDec (wxAtomicInt &value)
| This function decrements value in an atomic manner. More...

## Function Documentation

## ◆ wxAtomicDec()

wxInt32 wxAtomicDec | ( | wxAtomicInt & | value | ) |

This function decrements value in an atomic manner.

Returns 0 if value is 0 after decrement or any non-zero value (not necessarily equal to the value of the variable) otherwise.

See also
  wxAtomicInc

Include file:

    #include <wx/atomic.h>

## ◆ wxAtomicInc()

void wxAtomicInc | ( | wxAtomicInt & | value | ) |

This function increments value in an atomic manner.

Whenever possible wxWidgets provides an efficient, CPU-specific, implementation of this function. If such implementation is available, the symbol wxHAS_ATOMIC_OPS is defined. Otherwise this function still exists but is implemented in a generic way using a critical section which can be prohibitively expensive for use in performance-sensitive code.

Include file:

    #include <wx/atomic.h>